var e;
(e = getApp()),
  Page({
    data: { data: "" },
    onLoad: function (e) {
      for (var t = e.url, a = 0; a < t.length; a++)
        "#" == t[a] && (t = t.replace("#", "="));
      for (a = 0; a < t.length; a++) "@" == t[a] && (t = t.replace("@", "&"));
      (t = t.replace("$", "?")), this.setData({ url: t, urldata: e.url });
    },
    onShareAppMessage: function () {
      return {
        title: "",
        desc: "",
        imageUrl: " ",
        path: "pages/website/website?url=" + this.data.urldata,
      };
    },
    onShareTimeline: function (e) {
      return {
        title: "",
        desc: "",
        imageUrl: " ",
        path: "pages/website/website?url=" + this.data.urldata,
      };
    },
    onShow: function (e) {
      this.getvip();
    },
    getvip: function (t) {
      console.log(wx.getStorageSync("uid")),
        wx.getStorageSync("uid")
          ? (console.log(wx.getStorageSync("uid")),
            this.setData({
              footerLink:
                this.data.url +
                "&uid=" +
                wx.getStorageSync("uid") +
                "&phone=" +
                e.getSystemPlatform(),
            }))
          : wx.showModal({
              title: "温馨提醒",
              content: "使用本功能请先登录后在使用~",
              showCancel: !1,
              success: function (e) {
                e.confirm && wx.reLaunch({ url: "/pages/mine/index" });
              },
            });
    },
  });
